Page MenuHomePhabricator

Quiet result.get Warning in tasks
Closed, ResolvedPublic

Description

Sep 25 16:34:18 scb1001 celery[30747]: [2016-09-25 16:34:18,198: WARNING/Worker-14] /srv/deployment/ores/venv/lib/python3.4/site-packages/celery/result.py:45: 
RuntimeWarning: Never call result.get() within a task!

Details

Related Gerrit Patches:
mediawiki/services/ores/deploy : masterLog only errors

Event Timeline

Halfak created this task.Sep 26 2016, 5:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 26 2016, 5:44 PM
Halfak renamed this task from Quiet re. result.get in tasks to Quiet result.get Warning in tasks.Sep 26 2016, 5:45 PM
Halfak assigned this task to Ladsgroup.Oct 3 2016, 4:52 PM
Halfak triaged this task as Medium priority.
Halfak moved this task from Untriaged to Maintenance/cleanup on the Scoring-platform-team board.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptOct 3 2016, 4:54 PM

Change 314843 had a related patch set uploaded (by Ladsgroup):
Log only errors

https://gerrit.wikimedia.org/r/314843

Here's an example of the full warning

[2016-10-10 11:43:07,262: WARNING/Worker-8] /home/halfak/venv/3.5/lib/python3.5/site-packages/celery/result.py:45: RuntimeWarning: Never call result.get() within a task!
See http://docs.celeryq.org/en/latest/userguide/tasks.html#task-synchronous-subtasks

In Celery 3.2 this will result in an exception being
raised instead of just being a warning.

  warnings.warn(RuntimeWarning(E_WOULDBLOCK))

Change 314843 merged by Halfak:
Log only errors

https://gerrit.wikimedia.org/r/314843

Mentioned in SAL (#wikimedia-operations) [2016-10-10T20:09:44Z] <Amir1> deploying 8bbd3ab to ores canary nodes (T146680)

Mentioned in SAL (#wikimedia-operations) [2016-10-10T20:16:41Z] <Amir1> deploying 8bbd3ab to all ores nodes (T146680)

Halfak closed this task as Resolved.Oct 11 2016, 11:51 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM